## r-cran-future 1.2.0

=== DESCRIPTION ===
Package: future
Version: 1.2.0
Title: A Future API for R
Imports:
    digest,
    globals (>= 0.7.1),
    listenv (>= 0.6.0),
    parallel,
    utils
Suggests:
    R.rsp,
    markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: A Future API for R is provided. In programming, a future is an
    abstraction for a value that may be available at some point in the future.
    The state of a future can either be unresolved or resolved. As soon as it
    is resolved, the value is available. Futures are useful constructs in for
    instance concurrent evaluation, e.g. parallel processing and distributed
    processing on compute clusters. The purpose of this package is to provide
    a lightweight interface for using futures in R. Functions 'future()' and
    'value()' exist for creating futures and requesting their values, e.g.
    'f <- future({ mandelbrot(-0.75, 0, side=3) })' and 'v <- value(f)'. The
    'resolved()' function can be used to check if a future is resolved or
    not. An infix assignment operator '%<-%' exists for creating futures whose
    values are accessible by the assigned variables (as promises), e.g. 'v %<-%
    { mandelbrot(-0.75, 0, side=3) }'. This package implements synchronous "lazy"
    and "eager" futures, and asynchronous "multicore", "multisession" and ad hoc
    "cluster" futures. Globals variables and functions are automatically identified
    and exported. Required packages are attached in external R sessions whenever
    needed. All types of futures are designed to behave the same such that the
    exact same code work regardless of futures used or number of cores, background
    sessions or cluster nodes available. Additional types of futures are provided by
    other packages enhancing this package.
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://github.com/HenrikBengtsson/future
BugReports: https://github.com/HenrikBengtsson/future/issues
RoxygenNote: 5.0.1

=== Makefile ===
include .make/Makefile

vignettes/future-1-overview.md.rsp: inst/vignettes-static/future-1-overview.md.rsp.rsp
	$(CD) $(@D); \
	$(R_SCRIPT) -e "R.rsp::rfile" ../$< --postprocess=FALSE
	$(RM) README.md
	$(MAKE) README.md

vigs: vignettes/future-1-overview.md.rsp

## r-cran-future 1.0.0

=== debian/changelog ===
r-cran-future (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #828197)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 25 Jun 2016 13:58:30 -0700

=== debian/control ===
Source: r-cran-future
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-digest,
               r-cran-globals,
               r-cran-listenv,
               r-cran-codetools
Standards-Version: 3.9.8
Homepage: https://github.com/HenrikBengtsson/future
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-future.git
Vcs-Git: https://anonscm.debian.org/debian-med/r-cran-future.git

Package: r-cran-future
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-digest,
         r-cran-globals,
         r-cran-listenv,
         r-cran-codetools
Description: R package: A Future API for R
 In programming, a future is an abstraction for a value that may be available
 at some point in the future. The state of a future can either be unresolved or
 resolved. As soon as it is resolved, the value is available. Futures are
 useful constructs in for instance concurrent evaluation, e.g. parallel
 processing and distributed processing on compute clusters. The purpose of this
 package is to provide a lightweight interface for using futures in R.

=== debian/watch ===
version=3

# Uncomment to find new files on Github
#  - when using releases:
https://github.com/HenrikBengtsson/future/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
# if you need to repack and choose +dfsg prefix
# opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,compress=xz" \

## r-cran-future 1.2.0

=== debian/changelog ===
r-cran-future (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Fri, 09 Dec 2016 21:57:59 +0100

r-cran-future (1.1.1-1) unstable; urgency=medium

  * new upstream release
  * Fix VCS URL
  * Convert to dh-r packaging

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 10 Nov 2016 02:54:07 -0800

=== debian/control ===
--- 
+++ 
@@ -3,26 +3,23 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
                r-base-dev,
                r-cran-digest,
                r-cran-globals,
                r-cran-listenv,
-               r-cran-codetools
+               r-cran-codetools,
+               dh-r
 Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-future.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-future.git
 Homepage: https://github.com/HenrikBengtsson/future
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-future.git
-Vcs-Git: https://anonscm.debian.org/debian-med/r-cran-future.git
 
 Package: r-cran-future
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         r-cran-digest,
-         r-cran-globals,
-         r-cran-listenv,
-         r-cran-codetools
+         ${shlibs:Depends}
 Description: R package: A Future API for R
  In programming, a future is an abstraction for a value that may be available
  at some point in the future. The state of a future can either be unresolved or

=== debian/watch ===
version=4

https://github.com/HenrikBengtsson/future/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## r-cran-future 1.7.0

=== DESCRIPTION ===
Package: future
Version: 1.7.0
Title: Unified Parallel and Distributed Processing in R for Everyone
Imports: digest, globals (>= 0.11.0), listenv (>= 0.6.0), parallel,
        utils
Suggests: R.rsp, markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: The purpose of this package is to provide a lightweight and
    unified Future API for sequential and parallel processing of R
    expression via futures.  The simplest way to evaluate an expression
    in parallel is to use `x %<-% { expression }` with `plan(multiprocess)`.
    This package implements sequential, multicore, multisession, and
    cluster futures.  With these, R expressions can be evaluated on the
    local machine, on in parallel a set of local machines, or distributed
    on a mix of local and remote machines.
    Extensions to this package implements additional backends for
    processing futures via compute cluster schedulers etc.
    Because of its unified API, there is no need to modify code in order
    switch from sequential on the local machine to, say, distributed
    processing on a remote compute cluster.
    Another strength of this package is that global variables and functions
    are automatically identified and exported as needed, making it
    straightforward to tweak existing code to make use of futures.
License: LGPL (>= 2.1)
LazyLoad: TRUE
URL: https://github.com/HenrikBengtsson/future
BugReports: https://github.com/HenrikBengtsson/future/issues
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2018-02-10 22:22:36 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2018-02-11 14:26:20 UTC

=== debian/changelog ===
r-cran-future (1.7.0-1ubuntu1) bionic; urgency=medium

  * Skip tests/early-signaling and tests/globals,manual.R
    which fail on the Ubuntu VM-based autopkgtesters,
    but not on armhf and s390x, or on debci, or locally

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 10 Apr 2018 14:33:33 +0000

r-cran-future (1.7.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Fri, 02 Mar 2018 11:08:48 +0100

r-cran-future (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Versioned Build-Depends: r-cran-globals (>= 0.10.3)

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 19:44:25 +0200

r-cran-future (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.1
  * Use CRAN homepage.
  * Add R Recommends/Suggests.
  * d/watch: point to CRAN repository.
  * d/copyright: Source field now points to CRAN homepage.
  * Bump to Standards-Version 4.1.1.
  * d/copyright: reflect upstream changes.
  * Tighten build-dependency on r-cran-globals (>= 0.10.2).

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Sep 2017 13:44:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: r-cran-future
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                r-base-dev,
                r-cran-digest,
-               r-cran-globals,
+               r-cran-globals (>= 0.10.3),
                r-cran-listenv,
                r-cran-codetools,
                dh-r
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-future.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-future.git
-Homepage: https://github.com/HenrikBengtsson/future
+Homepage: https://cran.r-project.org/package=future
 
 Package: r-cran-future
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: R package: A Future API for R
  In programming, a future is an abstraction for a value that may be available
  at some point in the future. The state of a future can either be unresolved or

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/future_([-\d.]*)\.tar\.gz

## r-cran-future 1.9.0+dfsg

=== debian/changelog ===
r-cran-future (1.9.0+dfsg-1ubuntu1) cosmic; urgency=medium

  * Skip tests/stdout.R which only fails in
    Ubuntu container-based autopkgtesters

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 20 Sep 2018 12:34:46 +0000

r-cran-future (1.9.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.1.5
  * Remove autogenerated HTML docs since it is including compressed JS
  * Remove lintian overrides after affected files were excluded

 -- Andreas Tille <tille@debian.org>  Thu, 26 Jul 2018 08:02:25 +0200

r-cran-future (1.8.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition
  * Add lintian-overrides for false positives

 -- Andreas Tille <tille@debian.org>  Sat, 02 Jun 2018 09:00:05 +0200

r-cran-future (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 09:04:05 +0200

r-cran-future (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 12 Apr 2018 10:42:18 +0200

=== debian/control ===
Source: r-cran-future
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-digest,
               r-cran-globals (>= 0.12.0),
               r-cran-listenv (>= 0.7.0)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
Homepage: https://cran.r-project.org/package=future

Package: r-cran-future
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: R package: A Future API for R
 In programming, a future is an abstraction for a value that may be available
 at some point in the future. The state of a future can either be unresolved or
 resolved. As soon as it is resolved, the value is available. Futures are
 useful constructs in for instance concurrent evaluation, e.g. parallel
 processing and distributed processing on compute clusters. The purpose of this
 package is to provide a lightweight interface for using futures in R.

## r-cran-future 1.11.1.1%2Bdfsg

=== debian/changelog ===
r-cran-future (1.11.1.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 29 Jan 2019 10:47:05 +0100

r-cran-future (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 10:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: r-cran-future
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
                r-cran-digest,
-               r-cran-globals (>= 0.12.0),
+               r-cran-globals (>= 0.12.4),
                r-cran-listenv (>= 0.7.0)
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future

## r-cran-future 1.11.1.1+dfsg

=== debian/changelog ===
r-cran-future (1.11.1.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:18:45 +0800

## r-cran-future 1.14.0+dfsg

=== debian/changelog ===
r-cran-future (1.14.0+dfsg-1ubuntu1) eoan; urgency=medium

  * Skip tests/immediateCondition.R which only fails on
    Ubuntu container-based autopkgtesters

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 10 Aug 2019 13:04:09 +0000

r-cran-future (1.14.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 16:01:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: r-cran-future
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
@@ -9,7 +10,7 @@
                r-cran-digest,
                r-cran-globals (>= 0.12.4),
                r-cran-listenv (>= 0.7.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future

## r-cran-future 1.16.0+dfsg

=== DESCRIPTION ===
Package: future
Version: 1.16.0
Title: Unified Parallel and Distributed Processing in R for Everyone
Imports: digest, globals (>= 0.12.5), listenv (>= 0.8.0), parallel,
        utils
Suggests: RhpcBLASctl, R.rsp, markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: The purpose of this package is to provide a lightweight and
    unified Future API for sequential and parallel processing of R
    expression via futures.  The simplest way to evaluate an expression
    in parallel is to use `x %<-% { expression }` with `plan(multiprocess)`.
    This package implements sequential, multicore, multisession, and
    cluster futures.  With these, R expressions can be evaluated on the
    local machine, in parallel a set of local machines, or distributed
    on a mix of local and remote machines.
    Extensions to this package implement additional backends for
    processing futures via compute cluster schedulers etc.
    Because of its unified API, there is no need to modify any code in order
    switch from sequential on the local machine to, say, distributed
    processing on a remote compute cluster.
    Another strength of this package is that global variables and functions
    are automatically identified and exported as needed, making it
    straightforward to tweak existing code to make use of futures.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
URL: https://github.com/HenrikBengtsson/future
BugReports: https://github.com/HenrikBengtsson/future/issues
RoxygenNote: 7.0.2
NeedsCompilation: no
Packaged: 2020-01-15 22:42:05 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2020-01-16 15:20:17 UTC

=== debian/changelog ===
r-cran-future (1.16.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jan 2020 09:12:52 +0100

r-cran-future (1.15.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Thu, 28 Nov 2019 09:31:19 +0100

r-cran-future (1.15.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 12 Nov 2019 10:48:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: r-cran-future
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-digest,
-               r-cran-globals (>= 0.12.4),
-               r-cran-listenv (>= 0.7.0)
-Standards-Version: 4.4.0
+               r-cran-globals (>= 0.12.5),
+               r-cran-listenv (>= 0.8.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future

## r-cran-future 1.18.0+dfsg

=== debian/changelog ===
r-cran-future (1.18.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Jul 2020 08:43:09 +0200

r-cran-future (1.17.0+dfsg-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 07:10:42 +0200

r-cran-future (1.17.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Apr 2020 09:20:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest,
@@ -13,6 +14,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future
+Rules-Requires-Root: no
 
 Package: r-cran-future
 Architecture: all

## r-cran-future 1.21.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: future
-Version: 1.16.0
+Version: 1.21.0
 Title: Unified Parallel and Distributed Processing in R for Everyone
-Imports: digest, globals (>= 0.12.5), listenv (>= 0.8.0), parallel,
-        utils
+Imports: digest, globals (>= 0.13.1), listenv (>= 0.8.0), parallel,
+        parallelly (>= 1.21.0), tools, utils
 Suggests: RhpcBLASctl, R.rsp, markdown
 VignetteBuilder: R.rsp
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
@@ -28,10 +28,10 @@
 ByteCompile: TRUE
 URL: https://github.com/HenrikBengtsson/future
 BugReports: https://github.com/HenrikBengtsson/future/issues
-RoxygenNote: 7.0.2
+RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-01-15 22:42:05 UTC; hb
+Packaged: 2020-12-10 02:38:17 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2020-01-16 15:20:17 UTC
+Date/Publication: 2020-12-10 09:00:05 UTC

=== debian/changelog ===
r-cran-future (1.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 13:43:44 +0100

r-cran-future (1.20.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:49:32 +0100

r-cran-future (1.19.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 29 Sep 2020 11:17:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: r-cran-future
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -8,9 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-digest,
-               r-cran-globals (>= 0.12.5),
-               r-cran-listenv (>= 0.8.0)
-Standards-Version: 4.5.0
+               r-cran-globals (>= 0.13.1),
+               r-cran-listenv (>= 0.8.0),
+               r-cran-parallelly
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future

## r-cran-future 1.24.0+dfsg

=== DESCRIPTION ===
Package: future
Version: 1.24.0
Title: Unified Parallel and Distributed Processing in R for Everyone
Imports: digest, globals (>= 0.14.0), listenv (>= 0.8.0), parallel,
        parallelly (>= 1.30.0), tools, utils
Suggests: RhpcBLASctl, R.rsp, markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: The purpose of this package is to provide a lightweight and
    unified Future API for sequential and parallel processing of R
    expression via futures.  The simplest way to evaluate an expression
    in parallel is to use `x %<-% { expression }` with `plan(multisession)`.
    This package implements sequential, multicore, multisession, and
    cluster futures.  With these, R expressions can be evaluated on the
    local machine, in parallel a set of local machines, or distributed
    on a mix of local and remote machines.
    Extensions to this package implement additional backends for
    processing futures via compute cluster schedulers, etc.
    Because of its unified API, there is no need to modify any code in order
    switch from sequential on the local machine to, say, distributed
    processing on a remote compute cluster.
    Another strength of this package is that global variables and functions
    are automatically identified and exported as needed, making it
    straightforward to tweak existing code to make use of futures.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
URL: https://future.futureverse.org,
        https://github.com/HenrikBengtsson/future
BugReports: https://github.com/HenrikBengtsson/future/issues
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2022-02-19 16:55:14 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2022-02-19 18:20:02 UTC

=== debian/changelog ===
r-cran-future (1.24.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.24.0+dfsg
  * d/control: Run dh-update-R

 -- Nilesh Patra <nilesh@debian.org>  Thu, 24 Feb 2022 01:47:38 +0530

r-cran-future (1.23.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Disable reprotest

  [ Nilesh Patra ]
  * New upstream version 1.23.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Thu, 04 Nov 2021 03:59:16 +0530

r-cran-future (1.22.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Contact.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 07:59:05 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                dh-r,
                r-base-dev,
                r-cran-digest,
-               r-cran-globals (>= 0.13.1),
+               r-cran-globals (>= 0.14.0),
                r-cran-listenv (>= 0.8.0),
-               r-cran-parallelly
-Standards-Version: 4.5.1
+               r-cran-parallelly (>= 1.30.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future

## r-cran-future 1.27.0+dfsg

=== debian/changelog ===
r-cran-future (1.27.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jul 2022 07:37:49 +0200

r-cran-future (1.26.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Jun 2022 11:38:27 +0200

r-cran-future (1.25.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2022 11:05:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-cran-future
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
+Homepage: https://cran.r-project.org/package=future
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest,
-               r-cran-globals (>= 0.14.0),
+               r-cran-globals (>= 0.15.0),
                r-cran-listenv (>= 0.8.0),
-               r-cran-parallelly (>= 1.30.0)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
-Homepage: https://cran.r-project.org/package=future
-Rules-Requires-Root: no
+               r-cran-parallelly (>= 1.31.1)
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-future
 Architecture: all

## r-cran-future 1.31.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: future
-Version: 1.24.0
+Version: 1.31.0
 Title: Unified Parallel and Distributed Processing in R for Everyone
-Imports: digest, globals (>= 0.14.0), listenv (>= 0.8.0), parallel,
-        parallelly (>= 1.30.0), tools, utils
-Suggests: RhpcBLASctl, R.rsp, markdown
+Imports: digest, globals (>= 0.16.1), listenv (>= 0.8.0), parallel,
+        parallelly (>= 1.34.0), utils
+Suggests: methods, RhpcBLASctl, R.rsp, markdown
 VignetteBuilder: R.rsp
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                           email = "henrikb@braju.com"))
@@ -29,10 +29,10 @@
 URL: https://future.futureverse.org,
         https://github.com/HenrikBengtsson/future
 BugReports: https://github.com/HenrikBengtsson/future/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-02-19 16:55:14 UTC; hb
+Packaged: 2023-01-31 16:27:41 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2022-02-19 18:20:02 UTC
+Date/Publication: 2023-02-01 08:50:08 UTC

=== debian/changelog ===
r-cran-future (1.31.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 11:40:07 +0100

r-cran-future (1.30.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 08:58:11 +0100

r-cran-future (1.29.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 08:22:32 +0100

r-cran-future (1.28.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 11:40:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest,
-               r-cran-globals (>= 0.15.0),
+               r-cran-globals (>= 0.16.1),
                r-cran-listenv (>= 0.8.0),
-               r-cran-parallelly (>= 1.31.1)
+               r-cran-parallelly (>= 1.34.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-future

## r-cran-future 1.33.0+dfsg

=== debian/changelog ===
r-cran-future (1.33.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jul 2023 10:53:50 +0200

r-cran-future (1.32.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2023 21:50:07 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-r.rsp,
        r-cran-markdown
Restrictions: allow-stderr

## r-cran-future 1.33.1%2Bdfsg

=== debian/changelog ===
r-cran-future (1.33.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 17:45:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: r-cran-future
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
-Homepage: https://cran.r-project.org/package=future
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-digest,
                r-cran-globals (>= 0.16.1),
-               r-cran-listenv (>= 0.8.0),
+               r-cran-listenv,
                r-cran-parallelly (>= 1.34.0)
-Testsuite: autopkgtest-pkg-r
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
+Homepage: https://cran.r-project.org/package=future
+Rules-Requires-Root: no
 
 Package: r-cran-future
 Architecture: all

## r-cran-future 1.33.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Package: future
-Version: 1.31.0
+Version: 1.33.1
 Title: Unified Parallel and Distributed Processing in R for Everyone
 Imports: digest, globals (>= 0.16.1), listenv (>= 0.8.0), parallel,
         parallelly (>= 1.34.0), utils
 Suggests: methods, RhpcBLASctl, R.rsp, markdown
 VignetteBuilder: R.rsp
-Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
-                                          email = "henrikb@braju.com"))
+Authors@R: c(person("Henrik", "Bengtsson",
+                    role = c("aut", "cre", "cph"),
+                    email = "henrikb@braju.com",
+                    comment = c(ORCID = "0000-0002-7579-5165")))
 Description: The purpose of this package is to provide a lightweight and
     unified Future API for sequential and parallel processing of R
     expression via futures.  The simplest way to evaluate an expression
@@ -31,8 +33,9 @@
 BugReports: https://github.com/HenrikBengtsson/future/issues
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-01-31 16:27:41 UTC; hb
+Packaged: 2023-12-21 22:22:38 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
+    (<https://orcid.org/0000-0002-7579-5165>)
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2023-02-01 08:50:08 UTC
+Date/Publication: 2023-12-22 07:20:02 UTC

## r-cran-future 1.34.0%2Bdfsg

=== debian/changelog ===
r-cran-future (1.34.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 12:55:13 +0900

r-cran-future (1.33.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Jun 2024 11:42:16 +0900

## r-cran-future 1.34.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: future
-Version: 1.33.1
+Version: 1.34.0
 Title: Unified Parallel and Distributed Processing in R for Everyone
 Imports: digest, globals (>= 0.16.1), listenv (>= 0.8.0), parallel,
-        parallelly (>= 1.34.0), utils
+        parallelly (>= 1.38.0), utils
 Suggests: methods, RhpcBLASctl, R.rsp, markdown
 VignetteBuilder: R.rsp
 Authors@R: c(person("Henrik", "Bengtsson",
@@ -31,11 +31,12 @@
 URL: https://future.futureverse.org,
         https://github.com/HenrikBengtsson/future
 BugReports: https://github.com/HenrikBengtsson/future/issues
-RoxygenNote: 7.2.3
+Encoding: UTF-8
+RoxygenNote: 7.3.2
 NeedsCompilation: no
-Packaged: 2023-12-21 22:22:38 UTC; henrik
+Packaged: 2024-07-29 15:02:12 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
     (<https://orcid.org/0000-0002-7579-5165>)
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2023-12-22 07:20:02 UTC
+Date/Publication: 2024-07-29 16:50:05 UTC

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                r-cran-digest,
                r-cran-globals (>= 0.16.1),
                r-cran-listenv,
-               r-cran-parallelly (>= 1.34.0)
-Standards-Version: 4.6.2
+               r-cran-parallelly (>= 1.38.0)
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-rhpcblasctl,
        r-cran-r.rsp,
        r-cran-markdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cran.r-project.org/src/contrib/future_([-\d.]*)\.tar\.gz

## r-cran-future 1.68.0+dfsg

=== debian/changelog ===
r-cran-future (1.68.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 10:06:39 +0900

## r-cran-future 1.69.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: future
-Version: 1.34.0
+Version: 1.69.0
 Title: Unified Parallel and Distributed Processing in R for Everyone
-Imports: digest, globals (>= 0.16.1), listenv (>= 0.8.0), parallel,
-        parallelly (>= 1.38.0), utils
+Depends: R (>= 3.2.0)
+Imports: digest, globals (>= 0.18.0), listenv (>= 0.8.0), parallel,
+        parallelly (>= 1.44.0), utils
 Suggests: methods, RhpcBLASctl, R.rsp, markdown
 VignetteBuilder: R.rsp
 Authors@R: c(person("Henrik", "Bengtsson",
@@ -29,14 +30,53 @@
 LazyLoad: TRUE
 ByteCompile: TRUE
 URL: https://future.futureverse.org,
-        https://github.com/HenrikBengtsson/future
-BugReports: https://github.com/HenrikBengtsson/future/issues
+        https://github.com/futureverse/future
+BugReports: https://github.com/futureverse/future/issues
+Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
+Collate: '000.bquote.R' '000.import.R' '000.re-exports.R'
+        '009.deprecation.R' '010.tweakable.R' '010.utils-parallelly.R'
+        'backend_api-01-FutureBackend-class.R'
+        'backend_api-03.MultiprocessFutureBackend-class.R'
+        'backend_api-11.ClusterFutureBackend-class.R'
+        'backend_api-11.MulticoreFutureBackend-class.R'
+        'backend_api-11.SequentialFutureBackend-class.R'
+        'backend_api-13.MultisessionFutureBackend-class.R'
+        'backend_api-ConstantFuture-class.R'
+        'backend_api-Future-class.R' 'backend_api-FutureRegistry.R'
+        'backend_api-UniprocessFuture-class.R'
+        'backend_api-evalFuture.R' 'core_api-cancel.R'
+        'core_api-future.R' 'core_api-reset.R' 'core_api-resolved.R'
+        'core_api-value.R' 'delayed_api-futureAssign.R'
+        'delayed_api-futureOf.R' 'demo_api-mandelbrot.R'
+        'infix_api-01-futureAssign_OP.R' 'infix_api-02-globals_OP.R'
+        'infix_api-03-seed_OP.R' 'infix_api-04-stdout_OP.R'
+        'infix_api-05-conditions_OP.R' 'infix_api-06-lazy_OP.R'
+        'infix_api-07-label_OP.R' 'infix_api-08-plan_OP.R'
+        'infix_api-09-tweak_OP.R'
+        'protected_api-FutureCondition-class.R'
+        'protected_api-FutureGlobals-class.R'
+        'protected_api-FutureResult-class.R' 'protected_api-futures.R'
+        'protected_api-globals.R' 'protected_api-journal.R'
+        'protected_api-resolve.R' 'protected_api-result.R'
+        'protected_api-signalConditions.R' 'testme.R' 'utils-basic.R'
+        'utils-conditions.R' 'utils-connections.R' 'utils-debug.R'
+        'utils-immediateCondition.R' 'utils-marshalling.R'
+        'utils-objectSize.R' 'utils-options.R' 'utils-prune_pkg_code.R'
+        'utils-registerClusterTypes.R' 'utils-rng_utils.R'
+        'utils-signalEarly.R' 'utils-stealth_sample.R'
+        'utils-sticky_globals.R' 'utils-tweakExpression.R'
+        'utils-uuid.R' 'utils-whichIndex.R' 'utils_api-backtrace.R'
+        'utils_api-capture_journals.R' 'utils_api-futureCall.R'
+        'utils_api-futureSessionInfo.R' 'utils_api-makeClusterFuture.R'
+        'utils_api-minifuture.R' 'utils_api-nbrOfWorkers.R'
+        'utils_api-plan.R' 'utils_api-plan-with.R'
+        'utils_api-sessionDetails.R' 'utils_api-tweak.R' 'zzz.R'
 NeedsCompilation: no
-Packaged: 2024-07-29 15:02:12 UTC; henrik
-Author: Henrik Bengtsson [aut, cre, cph]
-    (<https://orcid.org/0000-0002-7579-5165>)
+Packaged: 2026-01-16 00:33:37 UTC; hb
+Author: Henrik Bengtsson [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0002-7579-5165>)
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2024-07-29 16:50:05 UTC
+Date/Publication: 2026-01-16 14:40:07 UTC

=== debian/changelog ===
r-cran-future (1.69.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 19 Jan 2026 09:29:11 +0900

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
                dh-r,
                r-base-dev,
                r-cran-digest,
-               r-cran-globals (>= 0.16.1),
+               r-cran-globals (>= 0.18.0),
                r-cran-listenv,
-               r-cran-parallelly (>= 1.38.0)
-Standards-Version: 4.7.0
+               r-cran-parallelly (>= 1.44.0),
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.git
 Homepage: https://cran.r-project.org/package=future
